alefragnani/vscode-project-manager 软件分析报告

基础信息

项目名称:alefragnani/vscode-project-manager

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758442169762549760/1758442169800298496

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
mocha ReDoS 漏洞 ReDoS MPS-2022-54598 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
mocha 9.2.2 直接依赖 建议修复
semver 7.3.5 7.5.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 212
BSD-3-Clause 10
ISC 28
BSD-2-Clause 9
Apache-2.0 9
Python-2.0 1
Unlicense 1
CC-BY-4.0 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
buffer-indexof-polyfill 1.0.2 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
readable-stream 2.3.7 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
serialize-javascript 6.0.0 间接依赖 npm
is-stream 2.0.1 间接依赖 npm
glob 7.2.0 间接依赖 npm
tsutils 3.21.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
onetime 5.1.2 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
webpack-merge 5.8.0 间接依赖 npm
find-up 5.0.0 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.14 间接依赖 npm
ajv 6.12.6 间接依赖 npm
@webassemblyjs/helper-buffer 1.11.1 间接依赖 npm
@types/estree 0.0.51 间接依赖 npm
bluebird 3.4.7 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
es-module-lexer 0.9.3 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
makeerror 1.0.11 间接依赖 npm
eslint 8.4.1 直接依赖 npm
clone-deep 4.0.1 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
eslint-utils 3.0.0 间接依赖 npm
signal-exit 3.0.6 间接依赖 npm
espree 9.2.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
ts-loader 9.2.6 直接依赖 npm
has 1.0.3 间接依赖 npm
cliui 7.0.4 间接依赖 npm
isexe 2.0.0 间接依赖 npm
@webassemblyjs/wasm-opt 1.11.1 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
@typescript-eslint/typescript-estree 5.7.0 间接依赖 npm
isarray 1.0.0 间接依赖 npm
flat 5.0.2 间接依赖 npm
p-try 2.2.0 直接依赖 npm
dir-glob 3.0.1 间接依赖 npm
debug 4.3.3 间接依赖 npm
wildcard 2.0.0 间接依赖 npm
events 3.3.0 间接依赖 npm
@tootallnate/once 1.1.2 直接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
@typescript-eslint/experimental-utils 5.7.0 间接依赖 npm
@webassemblyjs/wasm-edit 1.11.1 间接依赖 npm
callsites 3.1.0 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
text-table 0.2.0 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
@xtuc/long 4.2.2 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
@webassemblyjs/floating-point-hex-parser 1.11.1 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
anymatch 3.1.2 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
fstream 1.0.12 间接依赖 npm
chalk 4.1.2 间接依赖 npm
fast-glob 3.2.7 间接依赖 npm
@webpack-cli/serve 1.6.0 间接依赖 npm
unzipper 0.10.11 间接依赖 npm
glob-parent 6.0.2 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
@types/glob 7.2.0 直接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
path-type 4.0.0 间接依赖 npm
nanoid 3.3.1 间接依赖 npm
@humanwhocodes/object-schema 1.2.1 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
fsevents 2.3.2 间接依赖 npm
@webassemblyjs/helper-wasm-section 1.11.1 间接依赖 npm
@types/json-schema 7.0.9 间接依赖 npm
schema-utils 3.1.1 间接依赖 npm
array-union 2.1.0 间接依赖 npm
slash 3.0.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
import-local 3.0.3 间接依赖 npm
@webpack-cli/configtest 1.1.0 间接依赖 npm
@types/eslint 8.21.2 间接依赖 npm
esquery 1.4.0 间接依赖 npm
glob-to-regexp 0.4.1 间接依赖 npm
envinfo 7.8.1 间接依赖 npm
@jridgewell/source-map 0.3.2 间接依赖 npm
yallist 4.0.0 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
browser-stdout 1.3.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
import-fresh 3.2.1 间接依赖 npm
@webassemblyjs/utf8 1.11.1 间接依赖 npm
@webassemblyjs/wast-printer 1.11.1 间接依赖 npm
argparse 2.0.1 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
eslint-config-vscode-ext 1.1.0 直接依赖 npm
globals 13.12.0 间接依赖 npm
inherits 2.0.3 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
source-map 0.6.1 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
rimraf 2.7.1 间接依赖 npm
core-util-is 1.0.3 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
micromatch 4.0.4 间接依赖 npm
@typescript-eslint/eslint-plugin 5.7.0 直接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
@webpack-cli/info 1.4.0 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
enhanced-resolve 5.12.0 间接依赖 npm
eslint-visitor-keys 3.1.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
fastest-levenshtein 1.0.12 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
setimmediate 1.0.5 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
merge2 1.4.1 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
minimist 1.2.6 间接依赖 npm
isobject 3.0.1 间接依赖 npm
webpack-sources 3.2.3 间接依赖 npm
big-integer 1.6.51 间接依赖 npm
interpret 2.2.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
watchpack 2.4.0 间接依赖 npm
@jridgewell/trace-mapping 0.3.14 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
acorn-import-assertions 1.8.0 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
@typescript-eslint/scope-manager 5.7.0 间接依赖 npm
@discoveryjs/json-ext 0.5.6 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
loader-runner 4.2.0 间接依赖 npm
@webassemblyjs/ast 1.11.1 间接依赖 npm
chainsaw 0.1.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
yargs 16.2.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
binary 0.3.0 间接依赖 npm
mime-db 1.51.0 间接依赖 npm
semver 7.3.5 间接依赖 npm
esutils 2.0.3 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
which 2.0.2 间接依赖 npm
supports-color 8.1.1 间接依赖 npm
@webassemblyjs/ieee754 1.11.1 间接依赖 npm
mocha 9.2.2 直接依赖 npm
node-releases 2.0.1 间接依赖 npm
execa 5.1.1 间接依赖 npm
walker 1.0.7 直接依赖 npm
@eslint/eslintrc 1.0.5 间接依赖 npm
source-map-support 0.5.21 间接依赖 npm
v8-compile-cache 2.0.3 间接依赖 npm
terser 5.14.2 间接依赖 npm
color-name 1.1.4 间接依赖 npm
fastq 1.13.0 间接依赖 npm
jest-worker 27.4.5 间接依赖 npm
inflight 1.0.6 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
flatted 3.2.4 间接依赖 npm
@jridgewell/resolve-uri 3.1.0 间接依赖 npm
rechoir 0.7.1 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
typescript 4.5.4 直接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
@types/mocha 9.0.0 直接依赖 npm
@webassemblyjs/helper-numbers 1.11.1 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
@webassemblyjs/wasm-gen 1.11.1 间接依赖 npm
traverse 0.3.9 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
@xtuc/ieee754 1.2.0 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
tmpl 1.0.5 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
camelcase 6.2.1 间接依赖 npm
@typescript-eslint/parser 5.7.0 直接依赖 npm
buffers 0.1.1 间接依赖 npm
word-wrap 1.2.4 间接依赖 npm
once 1.4.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
yargs-parser 20.2.4 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
browserslist 4.19.1 间接依赖 npm
webpack-cli 4.9.1 直接依赖 npm
require-directory 2.1.1 间接依赖 npm
picomatch 2.3.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
@webassemblyjs/helper-wasm-bytecode 1.11.1 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
ignore 4.0.6 间接依赖 npm
duplexer2 0.1.4 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
mime-types 2.1.34 间接依赖 npm
listenercount 1.0.1 间接依赖 npm
terser-webpack-plugin 5.3.0 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
tapable 2.2.1 间接依赖 npm
colorette 2.0.16 间接依赖 npm
is-core-module 2.8.0 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
chrome-trace-event 1.0.2 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
ajv-keywords 3.5.2 间接依赖 npm
@types/eslint-scope 3.7.4 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
fast-json-stable-stringify 2.0.0 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
electron-to-chromium 1.4.21 间接依赖 npm
resolve 1.20.0 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
diff 5.0.0 间接依赖 npm
he 1.2.0 间接依赖 npm
globby 11.0.4 间接依赖 npm
decamelize 4.0.0 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
vscode-ext-help-and-feedback-view 1.0.1 直接依赖 npm
type-fest 0.20.2 间接依赖 npm
optionator 0.9.1 间接依赖 npm
punycode 2.1.1 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
braces 3.0.2 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
@typescript-eslint/visitor-keys 5.7.0 间接依赖 npm
@jridgewell/gen-mapping 0.3.2 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
@ungap/promise-all-settled 1.1.2 间接依赖 npm
chokidar 3.5.3 间接依赖 npm
@humanwhocodes/config-array 0.9.2 间接依赖 npm
regexpp 3.2.0 间接依赖 npm
is-plain-obj 2.1.0 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
vscode-ext-codicons 1.4.0 直接依赖 npm
caniuse-lite 1.0.30001287 间接依赖 npm
type-check 0.4.0 间接依赖 npm
shallow-clone 3.0.1 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
@jridgewell/set-array 1.1.2 间接依赖 npm
@types/node 14.18.1 间接依赖 npm
@webassemblyjs/leb128 1.11.1 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
levn 0.4.1 间接依赖 npm
@webassemblyjs/wasm-parser 1.11.1 间接依赖 npm
@vscode/test-electron 1.6.2 直接依赖 npm
tslib 1.11.2 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
workerpool 6.2.0 间接依赖 npm
yargs-unparser 2.0.0 间接依赖 npm
webpack 5.76.0 直接依赖 npm
@webassemblyjs/helper-api-error 1.11.1 间接依赖 npm
@types/minimatch 3.0.5 间接依赖 npm
y18n 5.0.8 间接依赖 npm
progress 2.0.3 间接依赖 npm
@typescript-eslint/types 5.7.0 间接依赖 npm
ansi-colors 4.1.1 间接依赖 npm
acorn 8.8.2 间接依赖 npm
@types/vscode 1.75.0 直接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
is-number 7.0.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
growl 1.10.5 间接依赖 npm
(0)
上一篇 2024年2月16日
下一篇 2024年2月16日

相关推荐

  • whily/yalo 软件分析报告

    基础信息 项目名称:whily/yalo 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719702805119025152/1719702805177745408 此报告由Murphysec提供 漏洞列表 暂无…

    软件分析 2023年11月1日
    0
  • facebookincubator/katran 软件分析报告

    基础信息 项目名称:facebookincubator/katran 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721183626594353152/1730276356312752128 此报告由Murph…

    软件分析 2023年12月1日
    0
  • EvgSkv/logica 软件分析报告

    基础信息 项目名称:EvgSkv/logica 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721174563189948416/1729384943756730368 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年11月28日
    0
  • ionic-team/ionic-framework 软件分析报告

    基础信息 项目名称:ionic-team/ionic-framework 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721281862511919104/1731435972314222592 此报告由Mur…

    软件分析 2023年12月4日
    0
  • goerlang/node 软件分析报告

    基础信息 项目名称:goerlang/node 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721230257163337728/1728208898829012992 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年11月25日
    0